Subject: Re: Guest user setup

From: Dave Siltz <[email-masked]>
Date: Fri, 12 Sep 1997 09:05:41 -0700 (PDT)

> From [email-masked] Thu Sep 11 19:22 PDT 1997
> Date: Thu, 11 Sep 1997 21:22:06 -0500 (CDT)
> From: Michael Brennen <[email-masked]>
> To: Dave Siltz <[email-masked]>
> cc: [email-masked]
> Subject: Re: Guest user setup
> In-Reply-To: <[email-masked]>
> MIME-Version: 1.0
> 
> On Thu, 11 Sep 1997, Dave Siltz wrote:
> 
> > I need to set up a temporary ftp user, who for several reasons cannot be
> > in the "real" group, but still needs access to our entire filesystem.  I
> 
> Then he is a real user, not a guest user. 
> 
> > tries setting him up in a special group "web", listing the web group as
> > a guestgroup in my ftpaccess file, then using the string "/./home/webguy"
> 
> Why not just set his path to "/home/webguy"?  After all, he's inherently
> chrooted to /. :)  This will chdir him to that directory. 
> 
> > in my password file.  I thought this might fake out the code, chroot him
> > to /, then start him off in his home directory.  When I ftp'd in as this
> 
> For which you don't need "/./".
> 
> > user I got the dreaded "Can't set guest privileges" message.  So for now
> > he's just got "/" as his home directory, and everything is working, but
> > I'm still wondering if there was a better way to do this.
> 
> Yup.
> 
>    -- Michael
> 
> 

Thanks for answering, but as I said, this guy cannot be in the real group.
The users in the real group have special authentication mechanisms that
this temporary person will not have access to, and access restrictions 
that will not apply to him.

All I want is for him to:

1: Be in his own group for ftpd access purposes.
2: Have access to the entire filesystem.
3: Have a proper home directory and start out in it (for shell access also).

--
Dave

---

From: Michael Brennen <[email-masked]>
Date: Fri, 12 Sep 1997 11:55:34 -0500 (CDT)

Authentication methods aside, from WU-FTPD's stand point he is a 'real'
user.  Sounds like you need to work the source a bit to find out why /./
at the beginning of the string is failing and either fix it or hack it.

   -- Michael